src/ctwr/cs_ctwr.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions | Variables
cs_ctwr.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ple_locator.h>`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "bft_mem.h"`
`#include "fvm_nodal_extract.h"`
`#include "cs_base.h"`
`#include "cs_ctwr_air_props.h"`
`#include "cs_ctwr_halo.h"`
`#include "cs_halo.h"`
`#include "cs_mesh_location.h"`
`#include "cs_post.h"`
`#include "cs_restart.h"`
`#include "cs_selector.h"`
`#include "cs_ctwr.h"`
Include dependency graph for cs_ctwr.c:

## Macros
#define | CS_LOC_PRODUIT_SCALAIRE(vect1, vect2) (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])
#define | CS_LOC_MODULE(vect) sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])

## Enumerations
enum | { X, Y, Z }

## Functions
void | defct1 (const cs_int_t *const idimct, const char *ze_name, cs_int_t *ze_n_len, const cs_int_t *const imctch, const cs_int_t *const ntypct, const cs_int_t *const nelect, const cs_real_t *const deltat, const cs_real_t *const teau, const cs_real_t *const fem, const cs_real_t *const xap, const cs_real_t *const xnp, const cs_real_t *const surface, const cs_real_t *const dgout)
void | nbzect (cs_int_t *const nbrct)
void | aemode (cs_int_t *const imctch)
void | aeprot (cs_real_t *const cons)
void | aeteau (cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | aetssc (const cs_int_t *const iscal, cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t utsim[], cs_real_t utsex[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | aetsvi (const cs_int_t *const idim, const cs_real_t rho[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[], const cs_real_t xair[], cs_real_t utsex[])
void | bilanct (const cs_real_t *const time, cs_real_t fem_entree[], cs_real_t fem_sortie[], cs_real_t teau_entree[], cs_real_t teau_sortie[], cs_real_t heau_entree[], cs_real_t heau_sortie[], cs_real_t tair_entree[], cs_real_t tair_sortie[], cs_real_t xair_entree[], cs_real_t xair_sortie[], cs_real_t hair_entree[], cs_real_t hair_sortie[], cs_real_t debit_entree[], cs_real_t debit_sortie[], const cs_real_t temp[], const cs_real_t xa[], const cs_real_t flux_masse_fac[], const cs_real_t flux_masse_fbr[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[])
void | pstict (void)
void | ecrctw (const char *const nomsui, const cs_int_t *const lngnom)
void | lecctw (const char *const nomsui, const cs_int_t *const lngnom)
void | cs_ctwr_definit (const cs_int_t idimct, const char *ze_name, const cs_int_t imctch, const cs_int_t ntypct, const cs_int_t nelect, const cs_real_t deltat, const cs_real_t teau_cl, const cs_real_t fem_cl, const cs_real_t xap, const cs_real_t xnp, const cs_real_t surface, const cs_real_t dgout)
void | cs_ctwr_all_destroy (void)
void | cs_ctwr_aeteau (cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | cs_ctwr_aetssc (const cs_int_t iscal, cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t utsim[], cs_real_t utsex[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | cs_ctwr_aetsvi (const cs_int_t idim, const cs_real_t rho[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[], const cs_real_t xair[], cs_real_t utsex[])
void | cs_ctwr_bilanct (const cs_real_t time, cs_real_t fem_entree[], cs_real_t fem_sortie[], cs_real_t teau_entree[], cs_real_t teau_sortie[], cs_real_t heau_entree[], cs_real_t heau_sortie[], cs_real_t tair_entree[], cs_real_t tair_sortie[], cs_real_t xair_entree[], cs_real_t xair_sortie[], cs_real_t hair_entree[], cs_real_t hair_sortie[], cs_real_t debit_entree[], cs_real_t debit_sortie[], const cs_real_t temp[], const cs_real_t xa[], const cs_real_t flux_masse_fac[], const cs_real_t flux_masse_fbr[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[], const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)
void | cs_ctwr_post_init (cs_int_t ct_id, cs_int_t writer_id)
cs_ctwr_zone_t * | cs_ctwr_by_id (cs_int_t ct_id)

## Variables
cs_int_t | cs_glob_ct_nbr_max = 0
cs_int_t | cs_glob_ct_nbr = 0
cs_ctwr_zone_t ** | cs_glob_ct_tab = NULL
cs_int_t * | cs_stack_ct = NULL
cs_int_t * | cs_chain_ct = NULL

## Macro Definition Documentation

#define CS_LOC_MODULE | ( |  | vect | ) | sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])

#define CS_LOC_PRODUIT_SCALAIRE | ( |  | vect1,
|  |  | vect2
| ) |  | (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])

## Enumeration Type Documentation

anonymous enum

Enumerator
X |
Y |
Z |

## Function Documentation

void aemode | ( | cs_int_t *const | imctch | ) |

void aeprot | ( | cs_real_t *const | cons | ) |

void aeteau | ( | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void aetssc | ( | const cs_int_t *const | iscal,
|  | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | utsim[],
|  | cs_real_t | utsex[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void aetsvi | ( | const cs_int_t *const | idim,
|  | const cs_real_t | rho[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[],
|  | const cs_real_t | xair[],
|  | cs_real_t | utsex[]
| ) |  |

void bilanct | ( | const cs_real_t *const | time,
|  | cs_real_t | fem_entree[],
|  | cs_real_t | fem_sortie[],
|  | cs_real_t | teau_entree[],
|  | cs_real_t | teau_sortie[],
|  | cs_real_t | heau_entree[],
|  | cs_real_t | heau_sortie[],
|  | cs_real_t | tair_entree[],
|  | cs_real_t | tair_sortie[],
|  | cs_real_t | xair_entree[],
|  | cs_real_t | xair_sortie[],
|  | cs_real_t | hair_entree[],
|  | cs_real_t | hair_sortie[],
|  | cs_real_t | debit_entree[],
|  | cs_real_t | debit_sortie[],
|  | const cs_real_t | temp[],
|  | const cs_real_t | xa[],
|  | const cs_real_t | flux_masse_fac[],
|  | const cs_real_t | flux_masse_fbr[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[]
| ) |  |

void cs_ctwr_aeteau | ( | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void cs_ctwr_aetssc | ( | const cs_int_t | iscal,
|  | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | utsim[],
|  | cs_real_t | utsex[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void cs_ctwr_aetsvi | ( | const cs_int_t | idim,
|  | const cs_real_t | rho[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[],
|  | const cs_real_t | xair[],
|  | cs_real_t | utsex[]
| ) |  |

void cs_ctwr_all_destroy | ( | void |  | ) |

void cs_ctwr_bilanct | ( | const cs_real_t | time,
|  | cs_real_t | fem_entree[],
|  | cs_real_t | fem_sortie[],
|  | cs_real_t | teau_entree[],
|  | cs_real_t | teau_sortie[],
|  | cs_real_t | heau_entree[],
|  | cs_real_t | heau_sortie[],
|  | cs_real_t | tair_entree[],
|  | cs_real_t | tair_sortie[],
|  | cs_real_t | xair_entree[],
|  | cs_real_t | xair_sortie[],
|  | cs_real_t | hair_entree[],
|  | cs_real_t | hair_sortie[],
|  | cs_real_t | debit_entree[],
|  | cs_real_t | debit_sortie[],
|  | const cs_real_t | temp[],
|  | const cs_real_t | xa[],
|  | const cs_real_t | flux_masse_fac[],
|  | const cs_real_t | flux_masse_fbr[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[],
|  | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

cs_ctwr_zone_t* cs_ctwr_by_id | ( | cs_int_t | ct_id | ) |

void cs_ctwr_definit | ( | const cs_int_t | idimct,
|  | const char * | ze_name,
|  | const cs_int_t | imctch,
|  | const cs_int_t | ntypct,
|  | const cs_int_t | nelect,
|  | const cs_real_t | deltat,
|  | const cs_real_t | teau_cl,
|  | const cs_real_t | fem_cl,
|  | const cs_real_t | xap,
|  | const cs_real_t | xnp,
|  | const cs_real_t | surface,
|  | const cs_real_t | dgout
| ) |  |

void cs_ctwr_post_init | ( | cs_int_t | ct_id,
|  | cs_int_t | writer_id
| ) |  |

void defct1 | ( | const cs_int_t *const | idimct,
|  | const char * | ze_name,
|  | cs_int_t * | ze_n_len,
|  | const cs_int_t *const | imctch,
|  | const cs_int_t *const | ntypct,
|  | const cs_int_t *const | nelect,
|  | const cs_real_t *const | deltat,
|  | const cs_real_t *const | teau,
|  | const cs_real_t *const | fem,
|  | const cs_real_t *const | xap,
|  | const cs_real_t *const | xnp,
|  | const cs_real_t *const | surface,
|  | const cs_real_t *const | dgout
| ) |  |

void ecrctw | ( | const char *const | nomsui,
|  | const cs_int_t *const | lngnom
| ) |  |

void lecctw | ( | const char *const | nomsui,
|  | const cs_int_t *const | lngnom
| ) |  |

void nbzect | ( | cs_int_t *const | nbrct | ) |

void pstict | ( | void |  | ) |

## Variable Documentation

cs_int_t* cs_chain_ct = NULL

cs_int_t cs_glob_ct_nbr = 0

cs_int_t cs_glob_ct_nbr_max = 0

(end ignore by Doxygen)

cs_ctwr_zone_t** cs_glob_ct_tab = NULL

cs_int_t* cs_stack_ct = NULL